Bug 257872 - textproc/py-sphinxcontrib-autoprogram: Require python 3.7+
Summary: textproc/py-sphinxcontrib-autoprogram: Require python 3.7+
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs (Nobody)
URL: https://github.com/sphinx-contrib/aut...
Keywords: easy
Depends on:
Blocks:
 
Reported: 2021-08-15 20:50 UTC by Derek Schrock
Modified: 2021-09-29 09:03 UTC (History)
2 users (show)

See Also:
koobs: merge-quarterly?


Attachments
require python 3.7+ (969 bytes, patch)
2021-08-15 20:50 UTC, Derek Schrock
dereks: maintainer-approval+
Details | Diff
require python 3.7+ (1.12 KB, patch)
2021-09-27 00:53 UTC, Derek Schrock
dereks: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Derek Schrock 2021-08-15 20:50:58 UTC
Created attachment 227232 [details]
require python 3.7+

- Requires python 3.7+ [1]

[1] https://github.com/sphinx-contrib/autoprogram/issues/47

portlint: ok. looks fine.
testport: ok. 13amd64.
unittest: ok. Ran 7 tests in 0.005s.

Also, rebuilt reverse depends:

- devel/py-python-gitlab
- devel/py-qstylizer

Docs built.
Comment 1 Derek Schrock 2021-09-19 04:35:41 UTC
ping?
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2021-09-26 23:07:53 UTC
Needs PORTREVISION bump, as it will have been installed (incorrectly) by people using/wanting python < 3.7 version of it, and it needs to be installed against 3.7+ to function
Comment 3 Derek Schrock 2021-09-27 00:53:42 UTC
Created attachment 228204 [details]
require python 3.7+

Add PORTREVISION.
Comment 4 commit-hook freebsd_committer 2021-09-29 08:58:46 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=9179bc3865ffe951fcce4281770de3af57b456f4

commit 9179bc3865ffe951fcce4281770de3af57b456f4
Author:     Derek Schrock <dereks@lifeofadishwasher.com>
AuthorDate: 2021-08-15 07:52:28 +0000
Commit:     Koichiro Iwao <meta@FreeBSD.org>
CommitDate: 2021-09-29 08:55:21 +0000

    text/py-sphinxcontrib-autoprogram: require python 3.7

    - Requires python 3.7 [1]

    [1] https://github.com/sphinx-contrib/autoprogram/issues/47

    PR:             257872
    MFH:            2021Q3

 textproc/py-sphinxcontrib-autoprogram/Makefile | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)
Comment 5 commit-hook freebsd_committer 2021-09-29 09:00:48 UTC
A commit in branch 2021Q3 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=5e019790c2b185e80a55c3f8779cdfbb644ca66b

commit 5e019790c2b185e80a55c3f8779cdfbb644ca66b
Author:     Derek Schrock <dereks@lifeofadishwasher.com>
AuthorDate: 2021-08-15 07:52:28 +0000
Commit:     Koichiro Iwao <meta@FreeBSD.org>
CommitDate: 2021-09-29 08:59:47 +0000

    text/py-sphinxcontrib-autoprogram: require python 3.7

    - Requires python 3.7 [1]

    [1] https://github.com/sphinx-contrib/autoprogram/issues/47

    PR:             257872
    MFH:            2021Q3
    (cherry picked from commit 9179bc3865ffe951fcce4281770de3af57b456f4)

 textproc/py-sphinxcontrib-autoprogram/Makefile | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)
Comment 6 Koichiro Iwao freebsd_committer 2021-09-29 09:03:38 UTC
Committed, thanks for the patience!